2007-10-04  Reiner Steib  <Reiner.Steib@gmx.de>

        * Relicense "GPLv2 or later" files to "GPLv3 or later".

2007-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* sendmail.el (mail-text, mail-mode): Revert extant pieces of
	1995-05-19 doc changes.

2007-03-24  Reiner Steib  <Reiner.Steib@gmx.de>

	* smtpmail.el: Signal an error when used with Emacs 22+ or XEmacs.
	(smtpmail-send-it): Remove NOMODIFY argument of
	`set-buffer-file-coding-system' for compatibility with Emacs 21.

2007-02-20  Juanma Barranquero  <lekktu@gmail.com>

	* smtpmail.el (smtpmail-smtp-service, smtpmail-queue-index-file):
	Fix typos in docstrings.
	(smtpmail-local-domain, smtpmail-queue-mail): Doc fixes.

2007-01-06  Simon Josefsson  <simon@josefsson.org>

	* README: Mention that smtpmail.el doesn't work on XEmacs.

2006-11-24  Eli Zaretskii  <eliz@gnu.org>

	* smtpmail.el (smtpmail-send-it):
	Copy buffer-file-coding-system from the mail buffer.  Possibly add a
	MIME header for the message encoding.
	Bind coding-system-for-write around the call to mail-do-fcc.
	Use smtpmail-code-conv-from to encode queued mail messages.

2006-10-02  MIYOSHI Masanori <miyoshi@meadowy.org>  (tiny change)

	* smtpmail.el (smtpmail-try-auth-methods): Fix typo in
	2006-09-28 commit.

2006-09-28  Osamu Yamane  <yamane@green.ocn.ne.jp> (tiny change)

	* smtpmail.el (smtpmail-try-auth-methods): Do not break long
	lines in base64-encoded authentication response.

2006-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* sendmail.el (sendmail-program): Moved here from pathe.el.

2006-06-15  Chong Yidong  <cyd@stupidchicken.com>

	* sendmail.el (mail-send): Search explicitly for
	mail-header-separator when checking for corrupted header lines.

2006-02-11  Miles Bader  <miles@gnu.org>

	* sendmail.el, smtpmail.el: New files, from Emacs tree.

2005-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* hashcash.el (hashcash): New custom group.
	(hashcash-default-payment): Add :group.
	(hashcash-payment-alist): Ditto.
	(hashcash-default-accept-payment): Ditto.
	(hashcash-accept-resources): Ditto.
	(hashcash-path): Ditto.
	(hashcash-extra-generate-parameters): Ditto.
	(hashcash-double-spend-database): Ditto.
	(hashcash-in-news): Ditto.

	* nnir.el (nnir): Add :group.

2005-03-13  Steve Youngs  <steve@sxemacs.org>

	* gpg.el: Add timer/itimer compatibility.

2003-11-15  Simon Josefsson  <jas@extundo.com>

	* starttls.el: Sync with recent gnu.emacs.sources post.

2003-10-24  Steve Youngs  <sryoungs@bigpond.net.au>

	* nnir.el: Autoload `read-kbd-macro' at compile time.

2003-09-30  Kai Grossjohann  <kai.grossjohann@gmx.net>
	From Torsten Hilbrich <torsten.hilbrich@gmx.net>.

	* nnir.el (nnir-imap-search-field, nnir-imap-search-arguments)
	(nnir-imap-search-argument-history): New variables.
	(nnir-engines, nnir-run-imap): Use them.
	(nnir-read-parm): Support reading the new IMAP query parameters.

2003-06-03  Kai Gro,A_(Bjohann  <kai.grossjohann@gmx.net>

	* README: Explain purpose of each file (well, most files).

2003-05-01  Vasily Korytov  <deskpot@despammed.com>

	* gpg.el (gpg-passphrase-forget): Check that gpg-passphrase is
	set.

2003-04-17  Steve Youngs  <youngs@xemacs.org>

	* hashcash.el (hashcash-point-at-bol): Move the fbound test
	outside of the defalias.
	(hashcash-point-at-eol): Ditto.

2003-03-19  Simon Josefsson  <jas@extundo.com>

	* gnus-idna.el: Update.

2003-03-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* hashcash.el (hashcash-version, hashcash-insert-payment): patch
	from Paul Foley

2003-03-07  Simon Josefsson  <jas@extundo.com>

	* gnus-idna.el (gnus-idna-to-ascii-rhs-1): Narrow to
	head (otherwise forwarded mail break havoc).

2003-03-07  Teodor Zlatanov  <tzz@bwh.harvard.edu>

	* hashcash.el: New version from Paul Foley with better variable
	names, executable-find support, and no errors in GNU Emacs
	(hashcash-version): return nil when invoked with a
	nil token

2003-02-21  Simon Josefsson  <jas@extundo.com>

	* hashcash.el (hashcash-point-at-bol):
	(hashcash-point-at-eol): Defalias.
	(hashcash-generate-payment):
	(mail-check-payment): Use it.

2002-12-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* hashcash.el: New version from Paul Foley with new
	mail-check-payment function.

2002-06-22  Simon Josefsson  <jas@extundo.com>

	* hashcash.el: New file.
	(hashcash-default-payment, hashcash-payment-alist, hashcash):
	Defcustom.
	(hashcash-generate-payment): Update to recent hashcode command
	line syntax.
	(hashcash-insert-payment): Use X-Hashcode:.
	(mail-add-payment): Also look at Newsgroups.
	(top-level): Add provide and EOF comment.
	(mail-add-payment): Autoload.
	(hashcash-insert-payment): s/Hashcode/Hashcash/
	(mail-add-payment): Doc fix.

2002-05-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-mdrtn.el (gnus-moderated-groups): Removed (require 'gnus-load).

2002-04-24  Kai Gro,A_(Bjohann  <Kai.Grossjohann@CS.Uni-Dortmund.DE>

	* ucs-tables.el (featurep): Barf on XEmacs.

2002-03-06  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* ucs-tables.el: Copy from Emacs 21.

2002-03-05  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* xml.el: Sync with Emacs 21.

2002-01-25  Josh Huber  <huber@alum.wpi.edu>

	* gpg.el (gpg-command-decrypt): Enable the status-fd command line
	option to gpg when decrypting so `mml2015-mailcrypt-decrypt' can
	parse and display the output.

2002-01-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-mdrtn.el (gnus-moderation-cancel-article): Insert an extra
	newline.

2001-12-26  Florian Weimer  <fw@deneb.enyo.de>

	* gpg.el (gpg-command-default-alist): Using gpg-2comp is no longer
	the default.

2001-12-18  Josh Huber  <huber@alum.wpi.edu>

	* ChangeLog: changed buffer-file-coding-system back to
	coding. (oops)

2001-12-17  Josh Huber  <huber@alum.wpi.edu>

	* ChangeLog: changed coding to buffer-file-coding-system

2001-11-22  Simon Josefsson  <jas@extundo.com>

	* sha1.el: Removed. (A FSF copyrighted sha1-el.el file is in
	../lisp/).

2001-10-30 21:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* canlock.el, hex-util.el, sha1-el.el: Move to lisp.

2001-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* canlock.el: (canlock-base64-encode-function): Removed.
	(canlock-mmencode-program): Removed.
	(canlock-mmencode-args-for-encoding): Removed.
	(canlock-openssl-program): Renamed from `canlock-ssleay-program'.
	(canlock-openssl-args): Renamed from `canlock-ssleay-args'.
	(canlock-load-hook): Removed.
	(canlock-base64-encode-string-with-mmencode): Removed.
	(canlock-sha1-with-openssl): Renamed from
	`canlock-sha1-with-ssleay'.
	(canlock-hex-string-to-int): Removed.
	(canlock-fetch-fields): Don't use `mapcar'.
	(canlock-fetch-id-for-key): Don't use Cancel header if there is no
	cancel command.
	(gnus-summary-canlock-verify): Removed.
	(wl-summary-canlock-verify): Removed.
	(canlock-mew-summary-display): Removed.
	(mew-summary-canlock-verify): Removed.
	(mh-summary-canlock-verify): Removed.
	(vm-summary-canlock-verify): Removed.
	(cmail-summary-canlock-verify): Removed.
	(rmail-summary-canlock-verify): Removed.

2001-10-25  Simon Josefsson  <jas@extundo.com>

	* canlock.el (canlock-password, canlock-password-for-verify)
	(canlock-force-insert-header): Defcustom.

2001-10-17  Simon Josefsson  <jas@extundo.com>

	* canlock.el (sha1-binary): Autoload `sha1-binary'.
	(canlock-sha1-function): Use it.
	(canlock-sha1-function-for-verify): Ditto.

	* sha1-el.el: New file.

	* hex-util.el: Ditto.

2001-08-24 16:09:14  Fabien Penso  <penso@linuxfr.org>

	* gpg.el (gpg-command-sign-detached): Doc fix.

2001-08-07  Andreas Jaeger  <aj@suse.de>

	* gpg.el (gpg-passphrase-forget): Don't cache
	gpg-passphrase-timer.
	(gpg-passphrase-store): Check if gpg-passphrase-timer is
	initialized already.

2001-07-30 16:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>
	From Andreas Fuchs <asf@void.at>

	* gpg.el (gpg-command-verify): --status-fd 1
	(gpg-unabbrev-trust-alist): New.

2001-01-18  Colin Marquardt <colin.marquardt@usa.alcatel.com>

	* gpg.el (gpg-make-temp-file): Error info.

2001-01-13 23:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gpg.el (gpg-build-arg-list): Use copy-sequence.

2000-12-19 22:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gpg.el (defalias): Use eval-and-compile.
	(gpg-command-all-arglist): Suggest by Jeff Senn <senn@maya.com>.

2000-12-15 00:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gpg.el (gpg-command-alist): Alist may not be defined.

2000-12-14 23:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gpg.el (gpg-make-temp-file): Don't check file-modes of M$Windows.

2000-12-14 10:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gpg.el (gpg-passphrase-store): Don't activate timer if it is live.

2000-11-30 22:00:00  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gpg.el: (gpg-make-temp-file): Use expand-file-name.
	(gpg-point-at-eol): New function.
	(gpg-call-process): Use it.
	(gpg-key-list-keys-parse-line): Ditto.
	(gpg-with-passphrase-env): edebug-form-spec.
	(gpg-with-temp-files): Ditto.
	(gpg-show-result): Ditto.

2000-11-08  Bj,Av(Brn Torkelsson  <torkel@hpc2n.umu.se>

	* gpg.el: In Xemacs it is called point-at-eol, not
	line-end-position

	* gpg.el (gpg-key-lessp): use string-lessp instead of
	compare-strings (not available on XEmacs)

2000-11-16  Simon Josefsson  <sj@extundo.com>

	* gpg.el (gpg-command-verify-cleartext): New variable.
	(gpg-verify-cleartext): New function.

2000-10-31 17:32:02  ShengHuo ZHU  <zsh@cs.rochester.edu>

	* gpg.el (gpg-verify): The last argument of apply is a list.
	(gpg-encrypt): Add passphrase as a parameter.

    Copyright (C) 2000, 2001, 2002, 2003, 2004, 2005, 2006,
    2007 Free Software Foundation, Inc.

  This file is part of GNU Emacs.

  GNU Emacs is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3, or (at your option)
  any later version.

  GNU Emacs is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GNU Emacs; see the file COPYING.  If not, write to the
  Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
  Boston, MA 02110-1301, USA.

;; Local Variables:
;; coding: iso-2022-7bit
;; fill-column: 79
;; add-log-time-zone-rule: t
;; End:

;;; arch-tag: 105a2bf0-3f04-4ba6-a991-619aece2c04f
